| QxOrm 1.4.8 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
IxService.h File Reference
QxService : QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)

Common interface for all services defined with QxService module of QxOrm library. More...

`#include <QtCore/qdatastream.h>`
`#include <QtCore/qjsonvalue.h>`
`#include <QxCommon/QxBool.h>`
`#include <QxRegister/QxRegisterInternalHelper.h>`
`#include <QxService/IxParameter.h>`
`#include <QxConvert/QxConvert.h>`

Go to the source code of this file.

## Classes
class | qx::service::IxService
| qx::service::IxService : common interface for all services defined with QxService module of QxOrm library More...
## Namespaces
namespace | qx
| Root namespace for all QxOrm library features.
namespace | qx::service
| QxOrm library services engine to provide easy and powerful way to create C++ application server (to transfer data over network)
namespace | qx::cvt
| Provide global functions to convert any kind of objects to/from QString and QVariant format.
namespace | qx::cvt::detail
| Internal helper tools for qx::cvt namespace.
## Typedefs
typedef std::shared_ptr < IxService > | qx::service::IxService_ptr
## Functions
QX_DLL_EXPORT QDataStream & | operator<< (QDataStream &stream, const qx::service::IxService &t) QX_USED
QX_DLL_EXPORT QDataStream & | operator>> (QDataStream &stream, qx::service::IxService &t) QX_USED
QX_DLL_EXPORT QJsonValue | qx::cvt::detail::QxConvert_ToJson_Helper (const qx::service::IxService &t, const QString &format) QX_USED
QX_DLL_EXPORT qx_bool | qx::cvt::detail::QxConvert_FromJson_Helper (const QJsonValue &j, qx::service::IxService &t, const QString &format) QX_USED

## Detailed Description

Common interface for all services defined with QxService module of QxOrm library.

Author:
  Lionel Marty

Definition in file IxService.h.

## Function Documentation

QX_DLL_EXPORT QDataStream& operator<< | ( | QDataStream & | stream,
|  | const qx::service::IxService & | t
| ) |  |

QX_DLL_EXPORT QDataStream& operator>> | ( | QDataStream & | stream,
|  | qx::service::IxService & | t
| ) |  |